<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["spl"]) ) {

    $error = array('error' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }
    //view all supplier information

    if (@$_GET['spl'] != "" ) {

      @$supplierId = mysql_prep($_GET['spl']);
      $supplierSet = find_supplier_by_token($supplierId); 
    
      if(!$supplierSet){

        $error = array('error' => 'something went wrong');
        exit(json_encode($error));

      }

      //supplier details
      $supplDetails = array("supplDetails" => $supplierSet);

      exit(json_encode($supplDetails));

    }  


  }else{

    exit(json_encode(array("error" => "unauthorised") ));


  }

